> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallets From Mesh Connect

> Fetches deposit addresses from Mesh Connect for every enabled token/network using the employee's access token.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/get-wallets-from-mesh-connect
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-wallets-from-mesh-connect:
    post:
      operationId: getWalletsFromMeshConnect
      summary: Get Wallets From Mesh Connect
      description: >-
        Fetches deposit addresses from Mesh Connect for every enabled
        token/network using the employee's access token.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetWalletsFromMeshConnectRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetWalletsFromMeshConnectResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetWalletsFromMeshConnectRequest:
      type: object
      properties:
        accessToken:
          type: string
          minLength: 1
          maxLength: 4096
        type:
          type: string
          minLength: 1
          maxLength: 100
      required:
        - accessToken
        - type
    GetWalletsFromMeshConnectResponse:
      type: object
      properties:
        wallets:
          type: array
          items:
            type: object
            properties:
              address:
                type: string
              networkId:
                type: string
              networkName:
                type: string
              symbol:
                type: string
              tokenName:
                type: string
              tokenTypeID:
                type: string
              balance:
                type: number
              tokenIcon:
                type:
                  - string
                  - 'null'
              networkIcon:
                type:
                  - string
                  - 'null'
            required:
              - address
              - networkId
              - networkName
              - symbol
              - tokenName
              - tokenTypeID
        success:
          type: boolean
        message:
          type: string
      required:
        - success
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
